import java.util.Hashtable;

import javax.naming.Context;
import javax.naming.directory.DirContext;
import javax.naming.directory.InitialDirContext;

public class LdapCredentailValidation {
	
	// Variables
	private String _ldapServers;
    private String _userSuffix;
    
    // Constructor
    public LdapCredentailValidation(String Servers, int Port, String UserSuffix, String LdapRoot)    {
        _ldapServers = Servers;
        _userSuffix = UserSuffix;
    }
    
    public boolean CheckUserCredential(String UserName, String Password){
        try{        	
        	// Set up the environment for creating the initial context
        	Hashtable env = new Hashtable();
        	env.put(Context.INITIAL_CONTEXT_FACTORY, "com.sun.jndi.ldap.LdapCtxFactory");
        	env.put(Context.SECURITY_PROTOCOL,"ssl");
        	env.put(Context.PROVIDER_URL, _ldapServers);

        	// Authenticate using UserName and Password
        	env.put(Context.SECURITY_AUTHENTICATION, "simple");
        	env.put(Context.SECURITY_PRINCIPAL, UserName+"@"+_userSuffix);
        	env.put(Context.SECURITY_CREDENTIALS, Password);
        	DirContext ctx = new InitialDirContext(env);
        	ctx.close();
            return true;
        }
        catch (Exception e){
        	System.out.println("Error : "+ e);
        }
		return false;
    }
}
